import { ReactElement, DetailedHTMLProps, ImgHTMLAttributes } from 'react';
export interface ImgSrc {
    src: string;
    width: number;
    height: number;
    format: string;
    toString(): string;
}
export interface ImgProps extends Omit<Omit<DetailedHTMLProps<ImgHTMLAttributes<HTMLImageElement>, HTMLImageElement>, 'sizes'>, 'src'> {
    src: ImgSrc;
    type?: string;
    webp?: boolean;
    inline?: boolean;
    url?: boolean;
    original?: boolean;
    sizes?: number[];
    densities?: number[];
    breakpoints?: number[];
}
declare const Img: ({ src, type, webp, inline, url, original, sizes, densities, breakpoints, style, ...props }: ImgProps) => ReactElement | null;
export default Img;
