"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _babelPluginSyntaxJsx = _interopRequireDefault(require("babel-plugin-syntax-jsx"));

var _resolveJsxComponent = _interopRequireDefault(require("./utils/resolveJsxComponent"));

var _svg = _interopRequireDefault(require("./transform/svg"));

var _img = _interopRequireDefault(require("./transform/img"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _default({
  types
}) {
  return {
    inherits: _babelPluginSyntaxJsx.default,
    visitor: {
      JSXElement(path) {
        const component = (0, _resolveJsxComponent.default)(types, path);

        if (component === 'Svg') {
          // handle svg component
          (0, _svg.default)(types, path);
        } else if (component === 'default' || component === 'Img') {
          // handle img component
          (0, _img.default)(types, path);
        }
      }

    }
  };
}