"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _traverse = require("../utils/traverse");

var _jsx = require("../utils/jsx");

var _transform = require("../utils/transform");

/**
 * Adds ?include query param to the src attribute of the Svg component
 */
const transformSvgComponent = (types, path) => {
  const src = (0, _jsx.getAttribute)(path, 'src');

  if (!src) {
    return src;
  } // update require argument


  const requireArgs = (0, _traverse.getRequireArguments)(types, src);

  if (requireArgs) {
    const requireStatement = (0, _transform.buildRequireStatement)(types, requireArgs, {
      include: ''
    });
    src.get('value').replaceWith(types.jsxExpressionContainer(requireStatement));
  }
};

var _default = transformSvgComponent;
exports.default = _default;