import { CallExpression } from '@babel/types';
import { Babel } from '..';
/**
 * Add new query params to an existing require string
 *
 * @param {string} currentValue
 * @param {Record<string, unknown>} query
 * @returns {string}
 */
export declare const addQueryToString: (currentValue: string, query: Record<string, string>) => string;
/**
 * Builds a new require statement with the given arguments and query params
 *
 * @param {Babel['types']} types
 * @param {CallExpression['arguments']} existingArguments
 * @param {Record<string, unkown>} query
 * @returns {CallExpression}
 */
export declare const buildRequireStatement: (types: Babel['types'], existingArguments: CallExpression['arguments'], query: Record<string, string>) => CallExpression;
